<?php

namespace KupShop\SKEETBundle\Admin\Tabs;

use KupShop\AdminBundle\Admin\WindowTab;

class SKEETSettingsTab extends WindowTab
{
    protected $title = 'flapSKEET';

    protected $template = 'SKEETSettingsTab.tpl';

    public static function getTypes()
    {
        return [
            'settings' => 1,
        ];
    }

    public function getVars($smarty_tpl_vars)
    {
        $pos = sqlQueryBuilder()
            ->select('id, name')
            ->from('pos')
            ->execute()
            ->fetchAllAssociative();

        return [
            'pos' => $pos,
        ];
    }
}
